Bug 141791 - Cannot open root device "LABEL=/" or unknown-block ... with 2.6.9-1.6_FC2
Cannot open root device "LABEL=/" or unknown-block ... with 2.6.9-1.6_FC2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 15:00 EST by Matthew Miller
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:41:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2004-12-03 15:00:51 EST
I'm pulling this out of bug #140065, because it appears to be a
separate issue.

We're seeing this in FC2 on an Asus P4S533-MX system *without* SATA.
And, separately, on a Dell Optiplex 270 (discovered since the earlier
report).

We get

  VFS: Mounted root (ext2 filesystem).
  VFS: Cannot open root device "LABEL=/" or unknown-block(0,0)
  Please append a correct "root=" boot option
  Kernel panic - not syncing : VFS: Unable to mount root fs on
    unknown-block(0,0)

followed by an infinite number of 

  atkbd.c: Spurious ACK on isa0060/seri0. Some program, like XFree86, 
    might be trying access hardware directly.

The machine isn't SMP, but oddly, if we boot the SMP kernel, we get
the panic message but _not_ the atkbd.c errors.

Also very disturbing: this happens with the newest
kernel-2.6.9-1.6_FC2, but kernel-2.6.9-1.3_FC2 works _fine_.

Using "root=/dev/hda2" instead of "root=LABEL=/" solves the problem
here -- not only does the system boot, but there's no "atkbd.c:
Spurious ACK" messages.

Messages on fedora-list seem to indicate that this has hit people on
FC3 with kernel-2.6.9-1.681_FC3 too, but I haven't confirmed that myself.
Comment 1 Dave Jones 2004-12-06 19:01:15 EST
did your initrd build ok after installing the kernel ?
Comment 2 Matthew Miller 2004-12-07 00:54:20 EST
The two systems where I've gotten reports of this aren't under my direct
control, so I haven't checked completely. The initrd images did appear to be
800+k, instead of the clearly broken 12k img I got with the 1.2_FC3 kernel that
one time.

However, one of the systems (the Asus motherboard) was reinstalled from scratch
and upgraded a second time in basically the same way, but has no problems, which
does strongly point to something with the initrd (because, what else could it
be...).

I'll check the details of the other system hopefully tomorrow. Anything in
particular I should be looking for to be wrong?

Thanks!
Comment 3 Matthew Miller 2004-12-09 16:49:03 EST
The initrd _appears_ to be fine... I can attach it if that would be
helpful....
Comment 4 Dave Jones 2005-04-16 01:41:02 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.